Vagrant Using Parallels - macOS M1 chipset

Hi, I am trying to use a M1 MacBook to take this course and due to the fact that the M1 chipset is ARM I can’t run VirtualBox. I do have Parallels and have the Pro version, but the vagrant file doesn’t seem to work with Parallels. Does anyone have a workaround?

Hi @toberlin,

Apologies for the late response!

Welcome to MongoDB University forums :sparkles:

Unfortunately, no one managed to have the course working with Virtual Box on an M1 apple machine. You will need to use the intel machine to make it work with the Virtualbox.

But we think that something like described in here might work.

Additionally, if you want to install different MongoDB server versions locally on M1 considering the course is built on MongoDB 3.4, I suggest using either of:

I hope it helps!

Thanks,
Kushagra

1 Like